[GRASS-SVN] r36027 - grass/branches/develbranch_6/gui/scripts

svn_grass at osgeo.org svn_grass at osgeo.org
Sun Feb 22 05:53:10 EST 2009


Author: hamish
Date: 2009-02-22 05:53:10 -0500 (Sun, 22 Feb 2009)
New Revision: 36027

Added:
   grass/branches/develbranch_6/gui/scripts/g.change.gui
Log:
wrapper script to change the default GUI; intended to be used from the GUI menu

Added: grass/branches/develbranch_6/gui/scripts/g.change.gui
===================================================================
--- grass/branches/develbranch_6/gui/scripts/g.change.gui	                        (rev 0)
+++ grass/branches/develbranch_6/gui/scripts/g.change.gui	2009-02-22 10:53:10 UTC (rev 36027)
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+############################################################################
+#
+# MODULE:       g.change.gui
+# AUTHOR(S):    Hamish Bowman
+# PURPOSE:      
+# COPYRIGHT:    (C) 2009 GRASS Development Team
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#############################################################################/
+#%Module
+#% description: Changes the default GRASS graphical user interface (GUI) setting.
+#% keywords: general, gui
+#%End
+#%Option
+#% key: gui
+#% type: string
+#% required: yes
+#% multiple: no
+#% options: tcltk,oldtcltk,wxpython,text
+#% label: GUI type
+#% description: Default value: GRASS_GUI if defined otherwise tcltk
+#% descriptions: tcltk;Tcl/Tk based GUI - GIS Manager (gis.m);oldtcltk;Old Tcl/Tk based GUI - Display Manager (d.m);wxpython;wxPython based next generation GUI;text;command line interface only
+#%End
+
+# simple front end to g.gui to be used from within the GUI.
+
+
+if [ -z "$GISBASE" ] ; then
+    echo "You must be in GRASS GIS to run this program." 1>&2
+    exit 1
+fi
+
+if [ "$1" != "@ARGS_PARSED@" ] ; then
+    exec g.parser "$0" "$@"
+fi
+
+g.gui -nu gui="$GIS_OPT_GUI"
+


Property changes on: grass/branches/develbranch_6/gui/scripts/g.change.gui
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:mime-type
   + text/x-sh
Name: svn:eol-style
   + native



More information about the grass-commit mailing list